> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile Posts

> Get public Facebook profile posts. This only returns the posts you would see from an incognito browser session. You can pass a url or a pageId. pageId is faster. pageId is the id of the profile page. Only returns 3 posts at a time.

## Parameters

<ParamField query="url" type="string">
  Facebook profile URL (e.g., `https://www.facebook.com/pacemorby`)
</ParamField>

<ParamField query="pageId" type="string">
  Facebook profile page id (e.g., `100063669491743`)
</ParamField>

<ParamField query="cursor" type="string">
  To paginate through the posts (e.g., `Cg8Ob3JnYW5pY19jdXJzb3IJA...`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/facebook/user/posts" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "post_id": "...",
    "like_count": 2095,
    "comment_count": 48,
    "share_count": 133,
    "view_count": 133000,
    "description": "...",
    "video_url": "..."
  },
  "meta": {
    "platform": "facebook",
    "endpoint": "user-posts",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.

## Note

Rates and quotas may apply based on your Yoinkit subscription.
